<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>RoutePlan (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RoutePlan (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RoutePlan.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/RouteOptions.Type.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/RoutePlan.html" target="_top">Frames</a></li>
<li><a href="RoutePlan.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.routing</div>
<h2 title="Class RoutePlan" class="title">Class RoutePlan</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.routing.RoutePlan</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">RoutePlan</span>
extends java.lang.Object</pre>
<div class="block"><code>RoutePlan</code> contains all information needed to calculate a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.
 <p>
 However, the first and last waypoints used for route calculation must be of
 <code>RouteWaypoint.Type.STOP_WAYPOINT</code> type, otherwise, the error
 <a href="../../../../../com/here/android/mpa/routing/RoutingError.html#INVALID_PARAMETERS"><code>RoutingError.INVALID_PARAMETERS</code></a> will be returned. While there is no maximum limit
 imposed on how many waypoints is allowed for a route, increasing the number of waypoints
 increases the probability that the route request will fail and a safe upper limit of 128
 is recommended.</p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing"><code>RouteWaypoint</code></a>, 
<a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing"><code>Router</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#RoutePlan--">RoutePlan</a></span>()</code>
<div class="block">Public Constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#RoutePlan-com.here.android.mpa.routing.RoutePlan-">RoutePlan</a></span>(<a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> other)</code>
<div class="block">Copy Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#addWaypoint-com.here.android.mpa.routing.RouteWaypoint-">addWaypoint</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point)</code>
<div class="block">Adds a waypoint to the plan.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object obj)</code> </td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#getRouteOptions--">getRouteOptions</a></span>()</code>
<div class="block">Gets a copy of the current route options used with this <code>RoutePlan</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#getWaypoint-int-">getWaypoint</a></span>(int index)</code>
<div class="block">Gets a waypoint at a specified index.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#getWaypointCount--">getWaypointCount</a></span>()</code>
<div class="block">Gets the number of waypoints of the route plan.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#hashCode--">hashCode</a></span>()</code> </td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#insertWaypoint-com.here.android.mpa.routing.RouteWaypoint-int-">insertWaypoint</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point,
              int index)</code>
<div class="block">Inserts a waypoint into a list of existing waypoints.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#removeAllWaypoints--">removeAllWaypoints</a></span>()</code>
<div class="block">Removes all waypoints of the route plan.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#removeWaypoint-int-">removeWaypoint</a></span>(int index)</code>
<div class="block">Removes a waypoint at a specified index.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#setRouteOptions-com.here.android.mpa.routing.RouteOptions-">setRouteOptions</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> options)</code>
<div class="block">Sets the route options.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RoutePlan--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RoutePlan</h4>
<pre>public RoutePlan()</pre>
<div class="block">Public Constructor</div>
</li>
</ul>
<a name="RoutePlan-com.here.android.mpa.routing.RoutePlan-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RoutePlan</h4>
<pre>public RoutePlan(<a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> other)</pre>
<div class="block">Copy Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - RoutePlan object to copy from.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addWaypoint-com.here.android.mpa.routing.RouteWaypoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addWaypoint</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> addWaypoint(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point)</pre>
<div class="block">Adds a waypoint to the plan.
 <p>
 The first and last waypoints used for route calculation must be of
 <code>RouteWaypoint.Type.STOP_WAYPOINT</code> type.
 </p>
 <p>
 NOTE: Urban Mobility supports only 2 waypoints. If <a href="../../../../../com/here/android/mpa/routing/UMRouter.html" title="class in com.here.android.mpa.routing"><code>UMRouter</code></a> is used, then adding
 more than 2 waypoints  will result in getting an estimated Public Transport routes.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - The <code>RouteWaypoint</code> representing the waypoint to add.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>RoutePlan</code> object</dd>
</dl>
</li>
</ul>
<a name="insertWaypoint-com.here.android.mpa.routing.RouteWaypoint-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertWaypoint</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> insertWaypoint(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point,
                                int index)</pre>
<div class="block">Inserts a waypoint into a list of existing waypoints. The position of the new waypoint is
 according to the specified index.
 <p>
 The first and last waypoints used for route calculation must be of
 <code>RouteWaypoint.Type.STOP_WAYPOINT</code> type.
 </p>
 <p>
 NOTE: Urban Mobility supports only 2 waypoints. If <a href="../../../../../com/here/android/mpa/routing/UMRouter.html" title="class in com.here.android.mpa.routing"><code>UMRouter</code></a> is used, then adding
 more than 2 waypoints  will result in getting an estimated Public Transport routes.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - The waypoint to insert</dd>
<dd><code>index</code> - The index in the range from 0 to the number of already existing waypoints.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>RoutePlan</code> object</dd>
</dl>
</li>
</ul>
<a name="removeWaypoint-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeWaypoint</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> removeWaypoint(int index)</pre>
<div class="block">Removes a waypoint at a specified index.
 <p>
 The first and last waypoints used for route calculation must of be
 <code>RouteWaypoint.Type.STOP_WAYPOINT</code> type.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - The zero-based index.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>RoutePlan</code> object</dd>
</dl>
</li>
</ul>
<a name="removeAllWaypoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAllWaypoints</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> removeAllWaypoints()</pre>
<div class="block">Removes all waypoints of the route plan.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>RoutePlan</code> object</dd>
</dl>
</li>
</ul>
<a name="getWaypoint-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWaypoint</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> getWaypoint(int index)</pre>
<div class="block">Gets a waypoint at a specified index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - The zero-based index.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the waypoint, <code>null</code> if the index submitted is out of bounds.</dd>
</dl>
</li>
</ul>
<a name="getWaypointCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWaypointCount</h4>
<pre>public int getWaypointCount()</pre>
<div class="block">Gets the number of waypoints of the route plan.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of waypoints.</dd>
</dl>
</li>
</ul>
<a name="setRouteOptions-com.here.android.mpa.routing.RouteOptions-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRouteOptions</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RoutePlan.html" title="class in com.here.android.mpa.routing">RoutePlan</a> setRouteOptions(<a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> options)</pre>
<div class="block">Sets the route options. This method does not retain a reference to <code>options</code>. If the
 <code>options</code> object is updated, then this method must be called again for the changes to
 be in effect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - The <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> to set.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>RoutePlan</code> object</dd>
</dl>
</li>
</ul>
<a name="getRouteOptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRouteOptions</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> getRouteOptions()</pre>
<div class="block">Gets a copy of the current route options used with this <code>RoutePlan</code>. Any changes made
 to the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> object returned by this method must be used to call
 <a href="../../../../../com/here/android/mpa/routing/RoutePlan.html#setRouteOptions-com.here.android.mpa.routing.RouteOptions-"><code>RoutePlan.setRouteOptions(RouteOptions)</code></a> again for the changes to be in effect.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>RouteOptions</code> options associated with this plan.</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RoutePlan.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/RouteOptions.Type.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Router.html" title="interface in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/RoutePlan.html" target="_top">Frames</a></li>
<li><a href="RoutePlan.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
